commit:     290e4d482d730b10ece3b1d814a4d4ba29a0035b
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 21 07:08:41 2025 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sat Jun 21 07:45:42 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=290e4d48

net-libs/nghttp2: add 1.66.0

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 net-libs/nghttp2/Manifest              |  1 +
 net-libs/nghttp2/nghttp2-1.66.0.ebuild | 70 ++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/net-libs/nghttp2/Manifest b/net-libs/nghttp2/Manifest
index 1247dc823c83..e906164f473a 100644
--- a/net-libs/nghttp2/Manifest
+++ b/net-libs/nghttp2/Manifest
@@ -1 +1,2 @@
 DIST nghttp2-1.65.0.tar.xz 1604848 BLAKE2B 
8fb752f55936110a8b5c27873e7e262a0c84740beac46444a80596e25b256ca3a4b0f0cc97a91e104a0f1c59ac0304546310a2817af126efabd2ce26cfd0ee06
 SHA512 
e1ef685a425017474ea0412c8ad13a217a45a320322b3aee48e646be21457d9b1f374abb9f681f47595a0ad8feb07d076bd0aa3279d35c5c9b5b8c921d8dd39e
+DIST nghttp2-1.66.0.tar.xz 1743992 BLAKE2B 
7b108f82b2ab4e5108a9220dbc57d6d894577464c2d64c5adb02c6f71f4c5d3d524b1c945ab016699236674501458c29d0186eaf2a7442bcb3f728df1075273c
 SHA512 
23b4cae2bbd4b3c11c50093e2fc14f3b08241bb6a85c38409e9a1a328b81ad51f107179493a0ce4c6a767b557cafeca9ba638c491095639dcfd9a2d95fa8b80d

diff --git a/net-libs/nghttp2/nghttp2-1.66.0.ebuild 
b/net-libs/nghttp2/nghttp2-1.66.0.ebuild
new file mode 100644
index 000000000000..60883face4fc
--- /dev/null
+++ b/net-libs/nghttp2/nghttp2-1.66.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Built with autotools rather than cmake to avoid circular dep (bug #951525)
+
+inherit multilib-minimal
+
+DESCRIPTION="HTTP/2 C Library"
+HOMEPAGE="https://nghttp2.org/";
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git";
+       inherit git-r3
+else
+       inherit autotools
+       
SRC_URI="https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz";
+
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~arm64-macos ~ppc-macos ~x64-macos 
~x64-solaris"
+fi
+
+LICENSE="MIT"
+SLOT="0/1.14" # 1.<SONAME>
+IUSE="debug hpack-tools jemalloc systemd test utils xml"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       hpack-tools? ( >=dev-libs/jansson-2.5:= )
+       jemalloc? ( dev-libs/jemalloc:=[${MULTILIB_USEDEP}] )
+       utils? (
+               >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
+               >=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
+               net-dns/c-ares:=[${MULTILIB_USEDEP}]
+               >=sys-libs/zlib-1.2.3[${MULTILIB_USEDEP}]
+       )
+       systemd? ( >=sys-apps/systemd-209 )
+       xml? ( >=dev-libs/libxml2-2.7.7:2=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+       [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+       # TODO: enable HTTP3
+       # requires quictls/openssl, libngtcp2, libngtcp2_crypto_quictls, 
libnghttp3
+       local myeconfargs=(
+               --disable-examples
+               --disable-failmalloc
+               --disable-werror
+               --enable-threads
+               $(use_enable debug)
+               $(multilib_native_use_enable hpack-tools)
+               $(multilib_native_use_with hpack-tools jansson)
+               $(multilib_native_use_with jemalloc)
+               $(multilib_native_use_with systemd)
+               $(multilib_native_use_enable utils app)
+               $(multilib_native_use_with xml libxml2)
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}"/usr -type f -name '*.la' -delete || die
+}

Reply via email to